curl --request GET \
--url https://api.upstash.com/v2/vector/index/{id}/stats \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.upstash.com/v2/vector/index/{id}/stats"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.upstash.com/v2/vector/index/{id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pending_index_count": 1,
"current_vector_count": 1000,
"daily_query_count": 100,
"daily_update_count": 10,
"monthly_query_count": 1000,
"monthly_update_count": 1000,
"monthly_bandwidth_usage": 7000,
"storage_usage": 7000,
"monthly_cost": 0.5,
"daily_update_requests": [
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 1
}
],
"daily_query_requests": [
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 7
}
],
"daily_bandwidths": [
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 7
}
],
"days": [
"Sunday",
"Monday",
"Tuesday",
"Wednesday",
"Thursday"
],
"query_throughput": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 7
}
],
"update_throughput": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 7
}
],
"query_latency_mean": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"query_latency_99": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"update_latency_mean": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"update_latency_99": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"embeds_latency_mean": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"embeds_latency_99": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"vector_count": [
{
"x": "2025-10-23 17:35:00.000 +0000 UTC",
"y": 2
}
],
"data_size": [
{
"x": "2025-10-23 17:35:00.000 +0000 UTC",
"y": 76
}
],
"daily_rerank_count": 0,
"monthly_rerank_count": 10,
"daily_rerank_requests": [
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 1
}
],
"rerank_latency_mean": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
],
"rerank_latency_99": [
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
}Get Index Stats
Retrieves statistics and metrics for a specific vector index
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the vector index
Query Parameters
Time period for statistics aggregation. Each period returns 60 datapoints with intervals adjusted to the period length.
Exceptionally for 30 days, it returns 240 datapoints with 3-hour intervals for increased granularity.
1h, 3h, 12h, 1d, 3d, 7d, 30d Response
Statistics for the specified vector index retrieved successfully
Number of pending index operations
1
Current number of vectors in the index
1000
Total number of query operations executed today
100
Total number of update operations executed today
10
Total query operations in current month
1000
Total update operations in current month
1000
Total bandwidth used in current month (bytes)
7000
Current storage used (bytes)
7000
Total cost in current month
0.5
Daily update requests over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 1
}
]
Daily query requests over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 7
}
]
Daily bandwidth usage over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 7
}
]
Days of the week for measurement
[
"Sunday",
"Monday",
"Tuesday",
"Wednesday",
"Thursday"
]
Query throughput over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 7
}
]
Update throughput over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 7
}
]
Average query latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
99th percentile query latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
Average update latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
99th percentile update latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
Average embedding latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
99th percentile embedding latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
Vector count over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:35:00.000 +0000 UTC",
"y": 2
}
]
Data size over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:35:00.000 +0000 UTC",
"y": 76
}
]
Total number of rerank operations executed today
0
Total rerank operations in current month
10
Daily rerank requests over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-19 18:33:05.244068975 +0000 UTC",
"y": 1
}
]
Average rerank latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
99th percentile rerank latency over time
Show child attributes
Show child attributes
[
{
"x": "2025-10-23 17:34:00.000 +0000 UTC",
"y": 0
}
]
Was this page helpful?